package com.img.rabbit.route

// 定义导航路由
sealed class ScreenRoute(val route: String) {
    //Main页面
    object Main : ScreenRoute("main")
    //Tab页面
    object Home : ScreenRoute("home")
    object Mine : ScreenRoute("mine")
    //首页（抠图）
    object Cutout : ScreenRoute("cutout")
    //首页（证件）
    object Resize : ScreenRoute("resize")
    //首页（格式）
    object Format : ScreenRoute("format")
    //首页（拍照指南）
    object CameraGuide : ScreenRoute("cameraGuide")
    //首页（长图）
    object LongImage : ScreenRoute("longImage")

    //我的页面（Mine）
    object Feedback : ScreenRoute("feedback")
    object OnlineService : ScreenRoute("onlineService")
    object Login : ScreenRoute("login")
    object Setting : ScreenRoute("setting")

    //设置页面（Setting）
    object BindAccount : ScreenRoute("bindAccount")
    object ManagerAccount : ScreenRoute("managerAccount")
    object AboutMine : ScreenRoute("aboutMine")
    object Bind : ScreenRoute("bind")
}